Create webhook endpoint
curl --request POST \
--url https://api.meum.io/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production webhook",
"url": "https://api.example.com/webhooks/meum",
"events": [
"invoice.created",
"invoice.paid"
]
}
'import requests
url = "https://api.meum.io/v1/webhook-endpoints"
payload = {
"name": "Production webhook",
"url": "https://api.example.com/webhooks/meum",
"events": ["invoice.created", "invoice.paid"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production webhook',
url: 'https://api.example.com/webhooks/meum',
events: ['invoice.created', 'invoice.paid']
})
};
fetch('https://api.meum.io/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meum.io/v1/webhook-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production webhook',
'url' => 'https://api.example.com/webhooks/meum',
'events' => [
'invoice.created',
'invoice.paid'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meum.io/v1/webhook-endpoints"
payload := strings.NewReader("{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meum.io/v1/webhook-endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meum.io/v1/webhook-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"secret_prefix": "01234567",
"events": [
"<string>"
],
"message": "Save this secret now. It will not be shown again."
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}Webhooks API
Create webhook endpoint
Creates a developer-managed webhook endpoint. The signing secret is returned once in the response and cannot be retrieved again.
POST
/
v1
/
webhook-endpoints
Create webhook endpoint
curl --request POST \
--url https://api.meum.io/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production webhook",
"url": "https://api.example.com/webhooks/meum",
"events": [
"invoice.created",
"invoice.paid"
]
}
'import requests
url = "https://api.meum.io/v1/webhook-endpoints"
payload = {
"name": "Production webhook",
"url": "https://api.example.com/webhooks/meum",
"events": ["invoice.created", "invoice.paid"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Production webhook',
url: 'https://api.example.com/webhooks/meum',
events: ['invoice.created', 'invoice.paid']
})
};
fetch('https://api.meum.io/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meum.io/v1/webhook-endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production webhook',
'url' => 'https://api.example.com/webhooks/meum',
'events' => [
'invoice.created',
'invoice.paid'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meum.io/v1/webhook-endpoints"
payload := strings.NewReader("{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meum.io/v1/webhook-endpoints")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meum.io/v1/webhook-endpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production webhook\",\n \"url\": \"https://api.example.com/webhooks/meum\",\n \"events\": [\n \"invoice.created\",\n \"invoice.paid\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"secret": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"secret_prefix": "01234567",
"events": [
"<string>"
],
"message": "Save this secret now. It will not be shown again."
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}Authorizations
Body
application/json
Response
Webhook endpoint created
Response immediately after creating a webhook endpoint. The signing secret is shown only once.